Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.tsp
Class TimeStampRequestGenerator

    java.lang.Object
      org.bouncycastle.tsp.TimeStampRequestGenerator

    public class TimeStampRequestGenerator

extends java.lang.Object

Generator for RFC 3161 Time Stamp Request objects.

Constructor Summary
`TimeStampRequestGenerator()`

Method Summary
`void` `addExtension(java.lang.String OID, boolean critical, org.bouncycastle.asn1.ASN1Encodable value)` add a given extension field for the standard extensions tag (tag 3)
`void` `addExtension(java.lang.String OID, boolean critical, byte[] value)` add a given extension field for the standard extensions tag The value parameter becomes the contents of the octet string associated with the extension.
`TimeStampRequest` `generate(java.lang.String digestAlgorithm, byte[] digest)`
`TimeStampRequest` `generate(java.lang.String digestAlgorithmOID, byte[] digest, java.math.BigInteger nonce)`
`void` `setCertReq(boolean certReq)`
`void` `setReqPolicy(java.lang.String reqPolicy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampRequestGenerator

    public TimeStampRequestGenerator()

Method Detail

### setReqPolicy

    public void setReqPolicy(java.lang.String reqPolicy)

### setCertReq

    public void setCertReq(boolean certReq)

### addExtension

    public void addExtension(java.lang.String OID,
                             boolean critical,
                             org.bouncycastle.asn1.ASN1Encodable value)
                      throws java.io.IOException

  add a given extension field for the standard extensions tag (tag 3)

  Throws:
    `java.io.IOException`

### addExtension

    public void addExtension(java.lang.String OID,
                             boolean critical,
                             byte[] value)

  add a given extension field for the standard extensions tag The value parameter becomes the contents of the octet string associated with the extension.

### generate

    public TimeStampRequest generate(java.lang.String digestAlgorithm,
                                     byte[] digest)

### generate

    public TimeStampRequest generate(java.lang.String digestAlgorithmOID,
                                     byte[] digest,
                                     java.math.BigInteger nonce)

Bouncy Castle Cryptography Library 1.45